Android Develop Training中文翻译03 《Creating an Android Project》

《创建一个Android项目》

一个android项目包括应用的所有源代码。Android SDK 使得用一套默认的项目目录和文件创建新的Android项目过程变得更简单。

本课程介绍使用具有ADT插件的Eclipse创建新Android 项目,或者使用SDK Tools的命令行创建新Android 项目。

注意:你必须确保Android SDK安装完毕,确保Eclipse装有ADT插件(21.0.0版本或以上)。如果没有,请在本课程开始前先进行Android
SDK 安装步骤

利用Eclipse创建项目


  1. 点击工具栏里的NewAndroid <wbr>Develop <wbr>Training中文翻译03 <wbr>《Creating <wbr>an <wbr>Android <wbr>Project》按钮。
  2. 在弹出的窗口(select a  wizard)中,打开Android文件夹,选择“Android Application Project”,然后点击”Next“。
  3. 在弹出窗口中填写内容

    图1:新建Android application窗口

     

    • Application Name 是用户看到的应用名称.。在这个项目中,名称是”My First App.”
    • Project Name 是项目目录和显示在Eclipse里的名称。
    • Package Name 是应用程序的包名(在Java程序设计语言中遵循同样的包名)。这个包名不能与Android系统中的其他应用的包名重复。因此,包名通常使用你的单位或组织的反向域名命名。以这个项目为例,你也可以用 ”com.example.myfirstapp“来命名。
      但是, 你不能在Google电子市场发布你应用的时候使用”com.example“来命名。
    • Minimum Required SDK 是你的应用能最低支持的Android平台版本, 表示正在使用的API
      level
      。为了支持更多的设备, 你应当是你应用最低支持的Android平台版本越低越好从而让您的应用程序能够提供低版本核心功能集。如果你的应用的一些特性只能在新的Android平台上面支持,你可以让这些特性只有在支持的Android平台版本上面运行的时候体现。(更多了解支持不同平台版本)。在本项目中这一项选择默认的设定值API18。
    • Target SDK 是你的应用能够支持的最高Android平台版本(也是正在使用的API
      level
      ) 。
    • 当新的Android平台发布的时候。你应该在新平台上测试你的应用是否可用,并且将以上的两个值更新到最新的平台版本。
    • Compile With 是你的应用编译平台的版本。在默认情况下,这一项的值是你SDK里面最新的Android版本。(它应该至少是Android4.1; 如果没有这个版本, 那么你必须用SDK
      Manager
      进行安装)。你也可以用低版本编译你的应用,但是把最高支持的Android平台版本设置成最新版本可以使你能够启用新功能,还能使你的应用在新设备上也能共拥有优秀的用户体验。
    • Theme 可以指定在你的App上使用的Android界面风格。这项可以不填写。 点击Next
  4. 在接下来的这个窗口中进行项目的配置,在这里使用默认设置。点击Next。
  5. 接下来的这个窗口会帮你创建你的app的桌面图标。你可以通过给的几种方式自定义自己的图标,该工具会生成各种屏幕像素密度对应尺寸的图标。在你发布应用之前,你应当确信你的应用图标符合Iconography 设计规范里面的图标设计规范。点击 Next。
  6. 现在你可以给你的应用选择一个Activity模板。对于目前的项目,
    选择BlankActivity 之后点击 Next
  7. 把接下来的所有选项都使用默认设置然后点击 Finish。

你的Android项目现在已经设置完毕,你可以开始创建你的应用了,点击继续学习下节课程

利用SDK的命令行创建Android项目:


如果你不使用带有ADT插件的Eclipse IDE。你也可以用命令行通过SDK工具创建项目:

将CMD的当前目录改变到Android SDK’s tools的目录

  1. 执行:  

    android list targets

    这一行命令会显示你在SDK里下载的可用的Android平台列表。 找到你想用于编译的平台版本,把target id记下来.。建议你选择可选的最高版本,当然你也可以使你的应用支持较低地平台,但将最高支持版本设为最新的平台版本仍然能使你的app支持最新的设备。

    若没有显示列表,你需要安装可用的Android SDK Manager tool。详见Adding
    Platforms and Packages。

  2. 执行:

    android create project –target <target-id> –name MyFirstApp \ –path <path-to-workspace>/MyFirstApp –activity MainActivity \ –package com.example.myfirstapp

    <target-id>替换成上一步记录的target
    id,把
    <path-to-workspace> 替换成Android项目存储目录。

你的Android项目现在已经设置完毕,你可以开始创建你的应用了,点击继续学习下节课程

贴士: 最好把 platform-tools/ 和 tools/ directory 添加环境变量的PATH里。

上一篇:
下一篇:

发表评论

电子邮件地址不会被公开。 必填项已用*标注

昵称 *